Bug 45043 - UMC with multiple docker hosts on system doesn't work
UMC with multiple docker hosts on system doesn't work
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC (Generic)
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-1-errata
Assigned To: Florian Best
Arvid Requate
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-19 11:55 CEST by Florian Best
Modified: 2017-07-26 14:39 CEST (History)
0 users

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 3: Simply Wrong: The implementation doesn't match the docu
Who will be affected by this bug?: 2: Will only affect a few installed domains
How will those affected feel about the bug?: 3: A User would likely not purchase the product
User Pain: 0.103
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional):
Max CVSS v3 score:
best: Patch_Available+


Attachments
patch (834 bytes, patch)
2017-07-19 11:55 CEST, Florian Best
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Best univentionstaff 2017-07-19 11:55:41 CEST
Created attachment 9042 [details]
patch

UMC with multiple docker hosts on the system doesn't work because they are sending UMCSessionId-1234=foo; UMCSessionId-4567=bar;.
Comment 1 Florian Best univentionstaff 2017-07-19 12:02:26 CEST
Fixed.

univention-management-console.yaml:
r81247 | YAML Bug #45043

univention-management-console (9.0.80-55):
r81245 | Bug #45043: fix detection of session id if browser sends multiple cookies
Comment 2 Arvid Requate univentionstaff 2017-07-25 18:08:48 CEST
Ok.
Comment 3 Erik Damrose univentionstaff 2017-07-26 14:39:46 CEST
<http://errata.software-univention.de/ucs/4.2/102.html>